{"title":"Get currencyExchangeRates","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_currencyexchangerate_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_currencyexchangerate_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_currencyexchangerate_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a currency exchange rate object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":100,"chars":220},{"level":2,"title":"Request headers","slug":"request-headers","at":320,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":392,"chars":61},{"level":2,"title":"Response","slug":"response","at":453,"chars":132},{"level":2,"title":"Example","slug":"example","at":585,"chars":461},{"level":2,"title":"Related information","slug":"related-information","at":1046,"chars":141}],"text":"Retrieves the properties and relationships of a currency exchange rate object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/currencyExchangeRates({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a currencyExchangeRate object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/currencyExchangeRates({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n    \"id\": \"USD-230501\",\n    \"currencyCode\": \"USD\",\n    \"startingDate\": \"2023-05-01\",\n    \"exchangeRateAmount\": 1.08,\n    \"relationalCurrencyCode\": \"EUR\",\n    \"relationalExchangeRateAmount\": 0.93,\n    \"lastModifiedDateTime\": \"2023-05-01T10:15:32Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_currencyexchangerate"}